@import url('../responsible.css');

.oneday-delivery-banner {
  cursor: pointer;
}

.oneday-banner-wrapper img {
  display: block;
}

.oneday-banner-wrapper .buttons-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 3.6rem;

  border-bottom: 0.7rem solid #f6f6f6;
}

.oneday-banner-wrapper .buttons-wrapper .btn-oneday-delivery {
  width: 50%;
  cursor: pointer;
  height: 100%;
  display: flex;
  align-items: center;;
}

.oneday-banner-wrapper .buttons-wrapper .btn-text-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;

  font-family: lato, SpoqaHanSansNeo !important;
  color: #222;
}

.oneday-banner-wrapper .buttons-wrapper .btn-text-wrapper img {
  display: block;
  width: 1.7rem;
  margin-right: 0.4rem;
}

.oneday-banner-wrapper .buttons-wrapper .btn-oneday-delivery:last-child .btn-text-wrapper {
  border-left: 1px solid #e5e5e5;
}


.b-modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 9999;

  align-items: center;
  padding: 1.6rem;
  box-sizing: border-box;

  display: none;
}

.b-modal.b-modal-full {
  padding: 0;
}

.b-modal.b-modal-full .b-modal-header {

}

.b-modal.show {
  display: flex;
}

.b-modal .b-modal-bg {
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
}

.b-modal .header {}

.b-modal .b-modal-contents {
  background: white;
  border-radius: 0.4rem;
  width: 100%;
  z-index: 999999;
  padding-bottom: 1.6rem;
  max-height: 100%;
}

.b-modal.b-modal-full .b-modal-contents {
  overflow-y: auto;
}

.b-modal .b-modal-contents .b-modal-contents-body {
  padding: 0 1.6rem;
}

.modal-holiday-info .express-info-msg {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 3.4rem;
  background: #eef2f8;
  border-radius: 0.2rem;
  color: #020202;
  font-family: lato, SpoqaHanSansNeo;
  margin-top: 0.7rem;
  margin-bottom: 0.9rem;
}

.modal-holiday-info .express-info-msg em {
  font-weight: bold;
  color: #10069f;
  display: inline-block;
  margin: 0 0.2rem;
}

.modal-holiday-info .express-info-table {

}

.modal-holiday-info .express-info-header-row {
  height: 3.7rem;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;

  border-bottom: 1px solid #222;
}

.modal-holiday-info .express-info-content-row {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
  height: 4.3rem;
}

.modal-holiday-info .express-info-content-row:last-child {
  border-top: 1px solid #eee;
  padding-bottom:0.7rem;
}

.modal-holiday-info .express-info-header-row > div:nth-child(1),
.modal-holiday-info .express-info-content-row > div:nth-child(1) {
  width: 11.2rem;
}

.modal-holiday-info .express-info-header-row > div:nth-child(2),
.modal-holiday-info .express-info-content-row > div:nth-child(2) {
  width: 50%;
}

.modal-holiday-info .express-info-header-row > div:nth-child(3),
.modal-holiday-info .express-info-content-row > div:nth-child(3) {
  width: 50%;
}

.modal-holiday-info .express-info-header-row > div:nth-child(2) img,
.modal-holiday-info .express-info-header-row > div:nth-child(3) img {
  width: 5.8rem;
  display: block;
}

.modal-holiday-info .express-info-content-row > div:nth-child(1) {
  display: flex;
  align-items: baseline;
  text-align: left;
  justify-content: center;
  flex-flow: column;

  color: #222;
}

.modal-holiday-info .express-info-header-row > div,
.modal-holiday-info .express-info-content-row > div {
  display: flex;
  align-items: center;
  height: 100%;
  justify-content: center;
  line-height: 1.73rem;
  font-family: lato, SpoqaHanSansNeo;
  color: #020202;
}

.modal-holiday-info .express-info-header-row > div:nth-child(1) {
  width: 5.8rem;
}

.modal-holiday-info .express-info-content-row > div:nth-child(2) {
  justify-content: flex-end;
}

.modal-holiday-info .express-info-content-row > div strong {

}

.modal-holiday-info .express-info-content-row > div em {
  font-size: 1.1rem;
  font-weight: normal;
}

.b-modal-footer {
  width: 100%;
  padding: 0 1.6rem;
  box-sizing: border-box;
}

.b-modal-button {
  height: 3.7rem;
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 1.15rem;
  font-family: lato, SpoqaHanSansNeo;
  border-radius: 0.4rem;
  background: #020202;
}

.b-modal .b-modal-header {
  display: flex;
  justify-content: center;
  height: 5.1rem;
  font-family: lato, SpoqaHanSansNeo !important;
  font-weight: 500;
  color: #020202;
  font-size: 1.4rem;
  vertical-align: middle;
  line-height: 5.8rem;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12);
  position: relative;
}

.b-modal .b-modal-header .b-modal-header-actions {
  position: absolute;
  height: 5.1rem;
  right: 0;
  display: flex;
  align-items: center;
  padding:0.5rem 0.5rem 0 0;
  box-sizing:border-box;
}

.b-modal .b-modal-header .b-modal-header-actions .btn-header-action.btn-close {
  background: url(https://i.balaan.io/mobile/img/icons/icon_close_48.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  content: '';
  width: 4.1rem;
  height: 4.1rem;
}

.b-modal .b-modal-header .b-modal-header-title {
  font-family: lato, SpoqaHanSansNeo !important;
  font-weight: 500;
  color: #020202;
  font-size: 1.4rem;
}

.b-modal .b-modal-header .btn-header-action {

}

.modal-service-info .service-img {
  width: 6.5rem;
}

.modal-service-info .service-img img {
  display: block;
  width:100%
}

.modal-service-info .service-content-row {
  display: flex;
  align-items: start;
  padding:1.4rem 0 1.6rem;
  border-bottom: 1px solid #eee;
}


.modal-service-info .service-content-row:last-child { 
  border-bottom:0; 
  align-items:center;
}

.modal-service-info .service-contents {
  padding-left: 0.9rem;
  line-height: 1.71rem;
}

.modal-service-info .service-contents .service-info-text {}
.modal-service-info .service-contents .service-info-text * {
  font-family: lato, SpoqaHanSansNeo;
  color: #020202;
  letter-spacing: -0.042rem;
}

.modal-service-info .service-contents .service-info-text .service-text-deliver-type {
  font-weight: bold;
}
.modal-service-info .service-contents .service-info-text .service-text-msg {
  margin-top:0.35rem;
  color: #666;
  font-size: 1.0rem;
  line-height:1.55rem;
}

.modal-service-info .alert-msg-row {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: loto, SpoqaHanSansNeo;
  color: #020202;
  padding: 0.3rem 0 1.4rem;
  font-weight:500;
  border-bottom:1px solid #222222;
}

.modal-service-info .alert-msg-row img {
  width: 5.8rem;
  display: block;
}


.modal-service-info .alert-msg-row img:first-child {
  margin-right: 0.4rem;
}

.modal-service-info .alert-msg-row img:nth-child(2) {
  margin-right: 0.2rem;
}

/* 발란 익스프레스 안내 팝업 */
.balaan-express-info-popup .popup-body {font-size:0; line-height:0;}



.modal-intro img {
  display: block;
}

@media screen and (min-width:550px) {
  .b-modal.b-modal-full.modal-intro { width: 550px; margin-right: auto; margin-left: auto; }

  .b-modal.modal-holiday-info,
  .b-modal.modal-service-info { padding-right: 4rem; padding-left: 4rem; }

  .modal-holiday-info .express-info-content-row > div:nth-child(2) { text-align: right; }

  .b-modal.modal-holiday-info .b-modal-contents,
  .b-modal.modal-service-info .b-modal-contents { position: relative; overflow-y: auto; }

}